name='openrazer'
version='3.10.2'
release='6'
desc='Community-led effort to support Razer peripherals on Linux'
desc_ru='Коммьюнити-проект, который поддерживает периферийные устройства Razer на Linux'
homepage='https://openrazer.github.io'
maintainer='Evgeny Khramov <xpamych@yandex.ru>'
maintainer_ru="Евгений Храмов <xpamych@yandex.ru>"
architectures=('all')
license=('GPL')
provides=('openrazer')
conflicts=('openrazer-daemon' 'openrazer-driver-dkms' 'python-openrazer')

deps=(
'dkms'
'python3-dbus'
'python3-daemonize'
'python3-gobject'
'python3-numpy'
'python3-pyudev'
'python3-setproctitle'
'xautomation'
)
opt_deps=('libnotify: для оповещения о состоянии батареи')

sources=("https://github.com/openrazer/openrazer/releases/download/v$version/openrazer-$version.tar.xz")
checksums=('SKIP')

scripts=(
	['postinstall']='postinstall.sh'
)

package() {
  cd $srcdir/$name-$version
  make DESTDIR="$pkgdir" daemon_install
  make DESTDIR="$pkgdir" setup_dkms udev_install
  make DESTDIR="$pkgdir" python_library_install
}

files() {
  echo ./usr/bin/openrazer-daemon
  printf '"%s" ' ./usr/lib/python3.11/site-packages/openrazer_daemon/**/*
  printf '"%s" ' ./usr/lib/python3.11/site-packages/openrazer_daemon-$version-py3.11.egg-info/*
  echo ./usr/lib/systemd/user/openrazer-daemon.service
  printf '"%s" ' ./usr/share/**/*
  echo ./usr/lib/udev/rules.d/99-razer.rules
  echo ./usr/lib/udev/razer_mount
  printf '"%s" ' ./usr/lib/python3.11/site-packages/openrazer/**/*
  printf '"%s" ' ./usr/lib/python3.11/site-packages/openrazer-$version-py3.11.egg-info/*
}

